Contents

# Log Function (BASIC)

Returns the natural logarithm of a number.

### Syntax:

    Log (Number)

### Return type:

Double

### Parameters:

Number: Any numeric expression that you want to calculate the natural logarithm for.

The natural logarithm is the logarithm to the base e. Base e is a constant with an approximate value of 2.718282...

You can calculate logarithms to any base (n) for any number (x) by dividing the natural logarithm of x by the natural logarithm of n, as follows:

Logn(x) = Log(x) / Log(n)

### Error codes:

5 Invalid procedure call

### Example:

    Sub ExampleLogExp
    Dim a As Double
    Dim Const b1=12.345e12
    Dim Const b2=1.345e34
        a=Exp( Log(b1)+Log(b2) )
        MsgBox "" & a & chr(13) & (b1*b2) ,0,"Multiplication by logarithm function"
    End Sub